Skip to main content
GET
/
billing
/
transactions
List transactions
curl --request GET \
  --url https://app.sendmux.ai/api/v1/billing/transactions \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": [
    {
      "id": "tx_clxxxxxxxxxxxxxxxxxxxxxxxxx",
      "amount": "-0.001500",
      "description": "<string>",
      "quantity": 123,
      "balance_before": "<string>",
      "balance_after": "<string>",
      "created_at": "<string>"
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Query Parameters

cursor
string

Pagination cursor — the next_cursor from the previous response.

limit
integer

Max results (default 25, max 100)

Required range: 1 <= x <= 100
type
enum<string>
Available options:
PURCHASE,
USAGE,
AUTO_TOPUP,
REFUND,
ADJUSTMENT

Response

Transaction list

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object[]
required
pagination
object
required